function lookfor(str)
/* lookfor("str")
   lookfor a string in the help section of the (c)t-files*/
{
  paths=telapath();
  system(#("lookfor.pl ", str, " ", paths));
};

function type(str)
/* type("str")
   type the content of (c)t-function str*/ 
{
  paths=telapath();
  system(#("type.pl ", str, " ", paths));
};

function [y] = feval(x, fun ...)
/* function [y] = feval(x, "fun" ...)
   return fun(x ...) at x with a same shape as x
   ... are scalars or strings or both, extra argumnets for function 
   fun(a ...) returns a scalar for a scalar input a
*/
global(a_arg)
{
// read in the extra numerical arguments
  extraargs="";
  if ( Nargin() > 0 ) 
  {
    for (i=1; i<=Nargin(); i++)
      extraargs=#(extraargs, sformat(",``", argin(i)));
  };

  m=length(x);
  v=size(x);
  y=reshape(x,m);

  for (i=1; i<=m; i++)
  {
    a_arg=y[i];
    y[i]=evalexpr(#(fun, "(a_arg", extraargs, ");"));
  };

  y=reshape(y,v);
};                                
